FANDOM


Overview page for Immersive Weapons when used with Legacy of the Dragonborn.

Skyrim Special Edition

Immersive Weapons requires a patch in order for the Legacy of the Dragonborn SSE displays to work properly. The patches can be found on Legacy of the Dragonborn Patches (Official) SE.
Additionally, a bashed patch is recommended.

Skyrim Classic Edition

Immersive Weapons requires a patch in order for the Legacy of the Dragonborn displays to work properly. The patches can be found on Legacy of the Dragonborn Patch Central.
Additionally, a bashed patch is recommended.

Immersive Weapons (SSE)
Nexus logo
Immersive Weapons (Classic Skyrim)
Nexus logo
Community content is available under CC-BY-SA unless otherwise noted.